<?php
	
	if(ISSET($_POST) && $_POST !== '' && ISSET($_POST['modd_submit'])){
		$colors_up = array(
				'background_color'   => sanitize_text_field($_POST['background_color']),
				'foreground_color'   => sanitize_text_field($_POST['foreground_color']),
				'button_color'   => sanitize_text_field($_POST['button_color']),
				'wishlist_color' =>sanitize_text_field($_POST['wishlist_color']),
				'product_background' =>sanitize_text_field($_POST['product_background']),
				'campaign_title_color' =>sanitize_text_field($_POST['campaign_title_color']),
				'campaign_header' =>sanitize_text_field($_POST['campaign_header']),
				'payment_mode' =>sanitize_text_field($_POST['payment_mode']),
				
			);
		update_option( 'modd_color_options', $colors_up );
	}
	
	$colors = get_option('modd_color_options');
	
	if(empty($colors)) {
		$colors = $colors_up;
	}
	if(!array_key_exists("payment_mode",$colors) || $colors['payment_mode'] == '' ) {
		$colors['payment_mode'] = 'test';
	}

?>
<div class="wrap">
  <h1 class="wp-heading-inline"> ManagedOrg Settings</h1>
  <hr class="wp-header-end">
  <form method="post" id="bulk-action-form">
    <h2 class="screen-reader-text">ManagedOrg Settings</h2>
	<br class="clear">
    <table class="wp-list-table widefat">
      <thead>
        <tr>
          <th scope="col" id="name" class="manage-column column-name column-primary">Settings</th>
          <th scope="col" id="name" class="manage-column column-name column-primary">Colors</th>
          
          
        </tr>
      </thead>
      <tbody id="the-list">
        
		
		<tr class="">
          <td><label>Campaign Title Color</label></td>
          <td class="column-primary">
            <input type="text" name="campaign_title_color" value="<?php echo esc_attr($colors['campaign_title_color']); ?>" class="modd_color_picker">
		</td>

        </tr>
		
		<tr class="">
          <td><label>Campaign bottom border Color</label></td>
          <td class="column-primary">
            <input type="text" name="campaign_header" value="<?php echo esc_attr($colors['campaign_header']); ?>" class="modd_color_picker">
		</td>

        </tr>
		
		<tr class="">
          <td><label>Background Color</label></td>
          <td class="column-primary">
            <input type="text" name="background_color" value="<?php echo esc_attr($colors['background_color']); ?>" class="modd_color_picker">
		</td>

        </tr>
		 
		<tr class="">
          <td><label>Foreground Color</label></td>
          <td class="column-primary">
            <input type="text" name="foreground_color" value="<?php echo esc_attr($colors['foreground_color']); ?>" class="modd_color_picker">
		</td>

         </tr>
		<tr class="">
          <td><label>Wishlist Background</label></td>
          <td class="column-primary">
            <input type="text" name="wishlist_color" value="<?php echo esc_attr($colors['wishlist_color']); ?>" class="modd_color_picker">
		 </td>

         </tr>
		
		<tr class="">
          <td><label>Product / Fundriser Background</label></td>
          <td class="column-primary">
            <input type="text" name="product_background" value="<?php echo esc_attr($colors['product_background']); ?>" class="modd_color_picker">
		 </td>

         </tr>
		
		<tr class="">
          <td><label>Button Color</label></td>
          <td class="column-primary">
            <input type="text" name="button_color" value="<?php echo esc_attr($colors['button_color']); ?>" class="modd_color_picker">
		 </td>

         </tr> 
		 
		 <tr class="">
          <td><label>Payment Mode</label></td>
          <td class="column-primary">
			 <label for="test">
			  <input type="radio" class="payment_radio" id="test" name="payment_mode" value="test" <?php if($colors['payment_mode'] == 'test') { echo 'checked ="checked"' ;}?> >
			  Test
			</label>
			<label for="production">
			  <input type="radio" id="production" class="payment_radio" name="payment_mode" value="production" <?php if($colors['payment_mode'] == 'production') { echo 'checked ="checked"' ;}?>>Production
			</label>
          </td>

         </tr> 
		 
		<tr>
			<td>
				<p class="submit">
					<input type="submit" name="modd_submit" id="submit" class="button button-primary" value="Save Changes">
				</p>
			</td>
		</tr>
      </tbody>
    </table>
	</form>
    <span class="spinner"></span>
</div>